#include <Adafruit_WS2801.h>
#include <SPI.h>
uint8_t dataPinStrip    = 3;
uint8_t clckPinStrip    = 2;
uint8_t bewegung1       = 7;
uint8_t bewegung2       = 6;
uint8_t bewegungsstatus = 0;
uint8_t num_LEDs        = 24;
uint8_t hue             = 0;
uint32_t c              = 0;
int abstand             = 0;
Adafruit_WS2801 strip = Adafruit_WS2801(num_LEDs, dataPinStrip, clckPinStrip);
uint32_t Color(uint32_t r, uint32_t g, uint32_t b)
{
    return ((((r << 8) | g) << 8) | b);
}
void lights(boolean order=true, boolean mode=true)
{
    uint8_t r = 230;
    uint8_t g = 5;
    uint8_t b = 130;
    int i = 0;
    if (mode)
    {
        c = Color(r, g, b);
    }
    else
    {
        c = 0;
    }
    if (order)
    {
        for (i = 0; i < num_LEDs; i++)
        {
            strip.setPixelColor(i, c);
            strip.show();
            delay(200); //Anschaltgeschwindigkeit von oben nach unten
        }
    }
    else
    {
        for (i = num_LEDs; --i >= 0 ; )
        {
            strip.setPixelColor(i, c);
            strip.show();
            delay(250); //Anschaltgeschwindigkeit von unten nach oben
        }
    }
}

void up()
{
    strip_clear();
    lights();
    delay(8000); //Leuchtzeit von oben nach unten
    lights(true, false);
}
void down()
{
    strip_clear();
    lights(false);
    delay(8000); //Leuchtzeit von unten nach oben
    lights(false, false);
}
void strip_clear()
{
    for (int i=0; i < num_LEDs; i++) 
    {
        strip.setPixelColor(i, 0);
    }
    strip.show();
}
void setup()
{
    pinMode(bewegung2, INPUT);
    strip.begin();
    strip.show();
}
void loop()
{
    bewegungsstatus = digitalRead(bewegung1);
    if (bewegungsstatus == HIGH)
    {
        up();
        {
            strip_clear();
        }
    }
    bewegungsstatus = digitalRead(bewegung2);
    if (bewegungsstatus == HIGH)
    {
        down();
        {
            strip_clear();
        }
    }
}
